summaryrefslogtreecommitdiff
path: root/source3/script/tests/t_001.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/t_001.sh')
-rw-r--r--source3/script/tests/t_001.sh22
1 files changed, 20 insertions, 2 deletions
diff --git a/source3/script/tests/t_001.sh b/source3/script/tests/t_001.sh
index 6d54d0e489..7db2abe226 100644
--- a/source3/script/tests/t_001.sh
+++ b/source3/script/tests/t_001.sh
@@ -22,9 +22,27 @@ chmod 1777 $PREFIX_ABS/tmp
start_smbd || exit $?
+## share enumeration
+
smbclient $CONFIGURATION -L localhost -N -p 139
-ret=$?
+check_ret_value $?
+
+testfile=`echo $CONFIGURATION | awk '{print $2}'`
+filename=`basename $testfile`
+dirname=`dirname $testfile`
+
+
+# file get/put
+
+smbclient //localhost/test $PASSWORD $CONFIGURATION -c "lcd $dirname; put $filename"
+check_ret_value $?
+
+smbclient //localhost/test $PASSWORD $CONFIGURATION -c "get $filename; rm $filename"
+check_ret_value $?
+
+diff $filename $testfile 2> /dev/null > /dev/null
+check_ret_value $?
stop_smbd
+exit 0
-exit $ret